<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

use models\Permission;
use models\Role;
use models\RolePermission;

$permission = new Permission( ['name' => 'maintenance'] );
$permission->save();

$role = Role::findOne( ['name' => 'administrator'] );

$rolePermission = new RolePermission( ['role_id' => $role->role_id, 'permission_id' => $permission->permission_id] );
$rolePermission->save();

$role = Role::findOne( ['name' => 'developer'] );

$rolePermission = new RolePermission( ['role_id' => $role->role_id, 'permission_id' => $permission->permission_id] );
$rolePermission->save();

$logger = \IoC::resolve( 'logger' );
$logger->info( 'Plugin maintenance_mode successfully installed.' );

return true;
